%% EN_Simulate_Wrapper

%% A Wrapper function to be called by the calibration code

%%Outputs the distance between GDP predicted by the model, and observed GDP
%% Calibration code will choose parameter mu to minimize square of this distance


function distance =  EN_Simulate_Wrapper(mu,observed_gdp,N,initial_alpha,initial_beta,markups)
[b0,b,imputed_alpha] =  EN_Initialize(N,initial_alpha,markups,mu);
gdp =  EN_Simulate(N,initial_alpha,imputed_alpha,initial_beta,markups,b0,b);
distance = (gdp-observed_gdp);
end

